Loading...
Searching...
No Matches

## zlacgv()

subroutine zlacgv | ( | integer | n,
|  | complex*16, dimension( * ) | x,
|  | integer | incx )

ZLACGV conjugates a complex vector.

Download ZLACGV + dependencies [TGZ] [ZIP] [TXT]

Purpose:

      !>
      !> ZLACGV conjugates a complex vector of length N.
      !>

Parameters

  [in]

  N

      !>          N is INTEGER
      !>          The length of the vector X.  N >= 0.
      !>

  [in,out]

  X

      !>          X is COMPLEX*16 array, dimension
      !>                         (1+(N-1)*abs(INCX))
      !>          On entry, the vector of length N to be conjugated.
      !>          On exit, X is overwritten with conjg(X).
      !>

  [in]

  INCX

      !>          INCX is INTEGER
      !>          The spacing between successive elements of X.
      !>

Author
  Univ. of Tennessee
  Univ. of California Berkeley
  Univ. of Colorado Denver
  NAG Ltd.